#include <iostream>
#include <string>

int main() {
    int mscVersion = _MSC_VER;

    mscVersion = mscVersion - mscVersion % 10;
    std::string vcVersion;
    std::string releaseDate;
    std::string toolsetVersion;
    std::string ideInfo;

    if (mscVersion == 1200) {
        vcVersion = "VC6.0 (Visual C++ 6.0)";
        releaseDate = "1998";
        toolsetVersion = "V60";
        ideInfo = "MSVC++ 6.0";
    } else if (mscVersion == 1300) {
        vcVersion = "VC7.0 (Visual Studio 2002)";
        releaseDate = "2002";
        toolsetVersion = "V70";
        ideInfo = "7.0";
    } else if (mscVersion == 1310) {
        vcVersion = "VC7.1 (Visual Studio 2003)";
        releaseDate = "2003";
        toolsetVersion = "V71";
        ideInfo = "7.1";
    } else if (mscVersion == 1400) {
        vcVersion = "VC8.0 (Visual Studio 2005)";
        releaseDate = "2005";
        toolsetVersion = "V80";
        ideInfo = "8.0";
    } else if (mscVersion == 1500) {
        vcVersion = "VC9.0 (Visual Studio 2008)";
        releaseDate = "2008";
        toolsetVersion = "V90";
        ideInfo = "9.0";
    } else if (mscVersion == 1600) {
        vcVersion = "VC10.0 (Visual Studio 2010)";
        releaseDate = "2010";
        toolsetVersion = "V100";
        ideInfo = "10.0";
    } else if (mscVersion == 1700) {
        vcVersion = "VC11.0 (Visual Studio 2012)";
        releaseDate = "2012";
        toolsetVersion = "V110";
        ideInfo = "11.0";
    } else if (mscVersion == 1800) {
        vcVersion = "VC12.0 (Visual Studio 2013)";
        releaseDate = "2013";
        toolsetVersion = "V120";
        ideInfo = "12.0";
    } else if (mscVersion == 1900) {
        vcVersion = "VC14.0 (Visual Studio 2015)";
        releaseDate = "2015";
        toolsetVersion = "V140";
        ideInfo = "14.0";
    } else if (mscVersion == 1910) {
        vcVersion = "VC14.1 (Visual Studio 2017)";
        releaseDate = "2017";
        toolsetVersion = "V141";
        ideInfo = "14.1";
    } else if (mscVersion == 1920) {
        vcVersion = "VC14.2 (Visual Studio 2019)";
        releaseDate = "2019";
        toolsetVersion = "V142";
        ideInfo = "14.2";
    } else if (mscVersion == 1930) {
        vcVersion = "VC14.3 (Visual Studio 2022)";
        releaseDate = "2022";
        toolsetVersion = "V143";
        ideInfo = "14.3";
    } else {
        vcVersion = "未知版本";
        releaseDate = "未知";
        toolsetVersion = "未知";
        ideInfo = "未知";
    }

    std::cout << "VC版本: " << vcVersion << std::endl;
    std::cout << "发布时间: " << releaseDate << std::endl;
    std::cout << "工具集版本: " << toolsetVersion << std::endl;
    std::cout << "IDE信息: " << ideInfo << std::endl;

    return 0;
}
