
!define VERSION_NUM "v1.12.1"

!define DRIVE_D "G:"
!define SECOND_LEVEL_NAME "APack"
!define RUN_ENVIRONMENT_DIR "${DRIVE_D}\${SECOND_LEVEL_NAME}\pack\Environment"
!define INSTALL_NAME "RTM_x64"
!define INSTALL_DIR "C:\ZOYON\RTM"
!define SPLIT_TOOL_DIR "${DRIVE_D}\${SECOND_LEVEL_NAME}\pack\зֹ20230606\зֹ20230606"
!define RTM_CAPTURE_DIR "${DRIVE_D}\${SECOND_LEVEL_NAME}\pack\ReleaseXML5"
!define RTM_CAPTURE_XML "${DRIVE_D}\${SECOND_LEVEL_NAME}\pack\XML"
!define RTM_XML_CONFIG_DIR "${DRIVE_D}\${SECOND_LEVEL_NAME}\pack\RTMConfiger"
!define RTM_CHANNEL_SHOW_DIR "${DRIVE_D}\${SECOND_LEVEL_NAME}\pack\ChannelShow"
!define MONITOR_DIR "${DRIVE_D}\${SECOND_LEVEL_NAME}\pack\Monitor_RealseV20.12.1"
!define RTM_VERSION_DIR "${DRIVE_D}\${SECOND_LEVEL_NAME}\pack"

; Build Unicode installer
Unicode True
; The default installation directory
InstallDir "${INSTALL_DIR}"
; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM "Software\${INSTALL_NAME}" "${INSTALL_DIR}"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\SimpChinese.nlf"
LangString Name ${LANG_SIMPCHINESE} "Simplified Chinese"
Name "${INSTALL_NAME}"
OutFile "x64ɼװ${VERSION_NUM}.exe"

RequestExecutionLevel admin
!include "${NSISDIR}\Contrib\Modern UI\System.nsh"
Page license
Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

  ; ָֹͣWindows
Function un.StopService
  ; ʹSystem plug-innsExecִ
  ; nsExec::ExecToLog 'net stop "CaptProcMgr"'
  nsExec::Exec 'net stop "CaptProcMgr"'
  nsExec::Exec 'net stop "CaptWarnMgr"'
  Sleep 1000
FunctionEnd
Function StopService
  ; ʹSystem plug-innsExecִ
  nsExec::Exec 'net stop "CaptProcMgr"'
  nsExec::Exec 'net stop "CaptWarnMgr"'
  Sleep 1000
FunctionEnd

; ָֹͣĽ
Function un.StopProcess
  ; ʹSystem plug-innsExecִ
  nsExec::ExecToLog 'taskkill /F /IM "Web.Master.exe"'
  nsExec::ExecToLog 'taskkill /F /IM "NavExe.exe"'
FunctionEnd
Function StopProcess
  ; ʹSystem plug-innsExecִ
  nsExec::ExecToLog 'taskkill /F /IM "Web.Master.exe"'
  nsExec::ExecToLog 'taskkill /F /IM "NavExe.exe"'
FunctionEnd

Section "жس"
  SectionIn RO
  Call StopProcess
  Call StopService
  WriteUninstaller "$INSTDIR\Uninstall.exe"
SectionEnd

; 趨Эı
LicenseData "${RTM_VERSION_DIR}\license.txt"

Section "и"
  SetOutPath "$INSTDIR\Tool"
  File /nonfatal /r "${SPLIT_TOOL_DIR}\*.*"
  CreateShortCut "$DESKTOP\зֹ.lnk" $INSTDIR\Tool\SplitTaskApp.exe "" \
    "$INSTDIR\Tool\Kid Mac Os.ico" 0 SW_SHOWNORMAL "" "Split Tool"
SectionEnd

Section "RTMù"
  SetOutPath "$INSTDIR\RTMConfiger"
  File /nonfatal /r "${RTM_XML_CONFIG_DIR}\*.*"
  CreateShortCut "$DESKTOP\RTM.lnk" $INSTDIR\RTMConfiger\RTMConfiger.exe "" \
    "$INSTDIR\RTMConfiger\RTMConfiger.exe" 0 SW_SHOWNORMAL "" "ɼRTMļ޸Ĺߡ"
SectionEnd

Section "س"
  Delete "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\StartUp\Web.Master.lnk"
  Delete "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\StartUp\NavExe.lnk"
  Delete "$STARTMENU\Web.Master.lnk"
  Delete "$STARTMENU\NavExe.lnk"
  Delete "$SMSTARTUP\Web.Master.lnk"
  Delete "$SMSTARTUP\NavExe.lnk"
  SetOutPath "$INSTDIR\Monitor"
  File /nonfatal /r "${MONITOR_DIR}\*.*"
  File "/oname=$INSTDIR\Monitor\dotnet-sdk-3.1.404-win-x64.exe" \
    "${RUN_ENVIRONMENT_DIR}\dotnet-sdk-3.1.404-win-x64.exe"
  SetOutPath "$INSTDIR\Monitor\Service"
  CreateShortCut "$DESKTOP\Web.Master.lnk" $INSTDIR\Monitor\Service\Web.Master.exe "" \
    "$INSTDIR\Monitor\Service\Web.Master.exe" 0 SW_SHOWNORMAL "" "Webط"
  ;$STARTMENU
  CreateShortCut "$SMSTARTUP\Web.Master.lnk" $INSTDIR\Monitor\Service\Web.Master.exe "" \
    "$INSTDIR\Monitor\Service\Web.Master.exe" 0 SW_SHOWNORMAL "" "Webط"
  SetOutPath "$INSTDIR\Monitor\MainFrame"
  CreateShortCut "$DESKTOP\ZyFrame.lnk" $INSTDIR\Monitor\MainFrame\App.ZyMainFrame.exe "" \
    "$INSTDIR\Monitor\MainFrame\App.ZyMainFrame.exe" 0 SW_SHOWNORMAL "" "Webؽ档"
  ; CreateShortCut "$DESKTOP\ZyMain.lnk" $INSTDIR\Monitor\MainFrame\ZyLaunch.exe "" \
  ;   "$INSTDIR\Monitor\MainFrame\ZyLaunch.exe" 0 SW_SHOWNORMAL "" "Webؽ档"
  SetOutPath "$INSTDIR\Monitor\NavUIExe"
  CreateShortCut "$SMSTARTUP\NavExe.lnk" $INSTDIR\Monitor\NavUIExe\NavExe.exe "" \
    "$INSTDIR\Monitor\NavUIExe\NavExe.exe" 0 SW_SHOWNORMAL "" "NavExe "

  nsExec::Exec 'sc stop CaptWarnMgr'
  nsExec::Exec 'sc delete CaptWarnMgr'
  nsExec::Exec 'sc create CaptWarnMgr binPath="$INSTDIR\Monitor\Warn\WNS.Detection.exe" start=auto'
SectionEnd

Section "RTMɼ"
  Delete "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\StartUp\Web.Master.lnk"
  Delete "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\StartUp\NavExe.lnk"
  SetOutPath "$INSTDIR"
  File /nonfatal /r "${RTM_CAPTURE_DIR}\*.*"
  CreateDirectory "$INSTDIR\Plugin"
  File "/oname=$INSTDIR\Plugin\mysql-connector-odbc-8.0.29-winx64.msi" \
    "${RUN_ENVIRONMENT_DIR}\mysql-connector-odbc-8.0.29-winx64.msi"
  File "/oname=$INSTDIR\Plugin\ǿƹرձвɼ.bat" \
	"${RUN_ENVIRONMENT_DIR}\ǿƹرձвɼ.bat"
  File "/oname=$INSTDIR\Plugin\Dalsa޳.bat" \
	"${RUN_ENVIRONMENT_DIR}\Dalsa޳.bat"
  ; File "/oname=$INSTDIR\Plugin\Basler޳.bat" \
	; "${RUN_ENVIRONMENT_DIR}\Basler޳.bat"
  ExecWait "$INSTDIR\BUS.RegisterPC.exe"

  ; CreateDirectory "$INSTDIR\RTM_Version"
  ; File "/oname=$INSTDIR\RTM_Version\version.txt" \
  ; "${RTM_VERSION_DIR}\version.txt"

   ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\${INSTALL_NAME} "$INSTDIR" "$INSTDIR"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALL_NAME}" "DisplayName" "${INSTALL_NAME}"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALL_NAME}" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALL_NAME}" "NoModify" 1
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALL_NAME}" "NoRepair" 1
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALL_NAME}" "Publisher" "ZOYON"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALL_NAME}" "DisplayVersion" "${VERSION_NUM}"
  WriteUninstaller "$INSTDIR\Uninstall.exe"
SectionEnd

Section "ɼXMLļ"
  SetOutPath "$INSTDIR"
  File /nonfatal /r "${RTM_CAPTURE_XML}\*.*"
SectionEnd

Section "ͨ鿴"
  SetOutPath "$INSTDIR\ChannelShow"
  File /nonfatal /r "${RTM_CHANNEL_SHOW_DIR}\*.*"
  CreateShortCut "$DESKTOP\ͨ鿴.lnk" $INSTDIR\ChannelShow\ChannelDataShow.exe "" \
    "$INSTDIR\ChannelShow\ChannelDataShow.exe" 0 SW_SHOWNORMAL "" "ɼͨ鿴ߡ"
SectionEnd

Section "Uninstall"
  ; жǰֹͣͽ
  Call un.StopService
  Call un.StopProcess
  RMDir /r /REBOOTOK "$INSTDIR"
  Delete "$SMSTARTUP\Web.Master.lnk"
  Delete "$SMSTARTUP\NavExe.lnk"
  Delete "$DESKTOP\зֹ.lnk"
  Delete "$DESKTOP\RTM.lnk"
  Delete "$DESKTOP\ͨ鿴.lnk"
  Delete "$DESKTOP\Web.Master.lnk"
  Delete "$STARTMENU\Web.Master.lnk"
  Delete "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\StartUp\Web.Master.lnk"
  Delete "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\StartUp\NavExe.lnk"
  Delete "$STARTMENU\Web.Master.lnk"
  Delete "$STARTMENU\NavExe.lnk"
  Delete "$DESKTOP\ZyFrame.lnk"
  Delete "$DESKTOP\ZyMain.lnk"
  Delete "$INSTDIR\Uninstall.exe"
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALL_NAME}"
  DeleteRegKey HKLM SOFTWARE\${INSTALL_NAME}
SectionEnd
